CTDPworld Forums

The community, the place to discuss

Skip to content

rFDynHud 1.3.0 compatibility with Java 7 (1.7.x branch)

Discuss our past or upcoming releases. You have questions concerning our Mods or our software? Ask right away…

Moderators: CoDan, BMWfan, Dahie, Marvin

rFDynHud 1.3.0 compatibility with Java 7 (1.7.x branch)

Postby Zer0 » Sat Mar 31, 2012 1:22 am

Dear CTDP developers,
I'm wondering about the question in the topic object: is the latest version of rFDynHud plugin compatible with Java SE Runtime Environment 7 Update 3 (1.7.3)?
I'm asking this because I tried to get the plugin working but of course it didn't, so I guessed why not if I have all the required softwares to run it: on the last, I was thinking that the only possible cause to this is my current version of Java, which is newer than the version the plugin requires (1.6.x).
At this point, if you confirm that is the newer Java 7 which is incompatible, is there any way to fix this (except downgrading to Java 6 of course) or anything that I must change within this Java version to get the plugin working correctly?
Zer0
Asphaltnuckel
 
Posts: 2
Joined: Sat Mar 31, 2012 1:14 am

Re: rFDynHud 1.3.0 compatibility with Java 7 (1.7.x branch)

Postby Marvin » Sat Mar 31, 2012 6:16 pm

Did you use the 32 Bit version of Java 7? At least this would be necessary.

But I think, it requires jre6-32bit to be installed, because of the way it invokes the JVM (Java Virtual Machine). So the best way to go would be to install jre6 next to your jre7. But you could try to create a symlink to the jre7 folder in your "Program Files (x86)\Java" folder and name it jre6. But there is no guarantee. And I would really encourage you to install jre6, since this is tested with rFDynHUD and jre7 is not.
Marvin
Fanboy
 
Posts: 576
Joined: Thu May 28, 2009 11:12 pm
Location: Germany, near Cologne

Re: rFDynHud 1.3.0 compatibility with Java 7 (1.7.x branch)

Postby Zer0 » Sat Mar 31, 2012 9:45 pm

Hi,
thanks for the answer. I am running Windows 7 Home Premium SP1 x64, with both versions of Java 7 update 3 installed on my system (32 and 64 bit). Anyway, I don't believe that both Java 6 and Java 7 can be installed and running on my system at the same time without creating problems, this keeps me aware of installing both versions.
Apart from the symlink, what are the other possibilities to circumvent this problem?
And also, I don't believe that CTDP devs have no plan to update the code to Java 7, since this version may become official within short time, thus the software park that requires it will grow daily and Java 6 may become unsupported in not so far time, IMHO.
Zer0
Asphaltnuckel
 
Posts: 2
Joined: Sat Mar 31, 2012 1:14 am

Re: rFDynHud 1.3.0 compatibility with Java 7 (1.7.x branch)

Postby Marvin » Sun Apr 01, 2012 3:01 pm

Zer0 wrote:And also, I don't believe that CTDP devs have no plan to update the code to Java 7, since this version may become official within short time


It already is ;). And certainly rFDynHUD will be made compatible with Java 7. But atm. there are time restrictions.
Marvin
Fanboy
 
Posts: 576
Joined: Thu May 28, 2009 11:12 pm
Location: Germany, near Cologne

Re: rFDynHud 1.3.0 compatibility with Java 7 (1.7.x branch)

Postby Dahie » Mon Apr 02, 2012 11:25 am

Hey, Zer0, it's open source! Get cracking! :D

https://github.com/ctdp/rfdynhud

Seriously, we welcome people working into the project and contributing. This could be one thing which doesn't have to be too complicated.
User avatar
Dahie
Fanboy
 
Posts: 4031
Joined: Sat Dec 30, 2000 12:00 am
Location: B like Berlin

Re: rFDynHud 1.3.0 compatibility with Java 7 (1.7.x branch)

Postby iceman25 » Sat Jun 02, 2012 11:53 pm

Hi guys.. I have one problem with rfdynhud v1.3.0 Iam all this week trying put this to work in rftactor but ive failed.. My overlays only works in test sessions in a race weekend and in seasons dont appear anything i had created. i ve done different overlays for pratice session qualifying and race but nothing appears in game and when i go to the garage the game crashes.. Anyone knows how and why this happening? How can i solve the problem? I ve downloaded last version of java yesterday but still the same thing!!
iceman25
Asphaltnuckel
 
Posts: 1
Joined: Sat Jun 02, 2012 11:47 pm

Re: rFDynHud 1.3.0 compatibility with Java 7 (1.7.x branch)

Postby sebo » Sat Sep 15, 2012 8:57 pm

hi

the newest ver. of java is java 7 right? but it does only work with jre6-32bit ?
sebo
Asphaltnuckel
 
Posts: 1
Joined: Sat Sep 15, 2012 8:53 pm

Re: rFDynHud 1.3.0 compatibility with Java 7 (1.7.x branch)

Postby PieLighter » Wed Oct 24, 2012 6:34 pm

In the meantime, where can I get Java 6? Just recovered from a HDD failure, and of course rFDynHUD refuses to run with Java 7. On the official website I have to create an account with all kinds of required details like job title and business phone number if I want to download an old version of Java.
Also, will I be able to run Java 6 alongside 7 without any issues? I can't seem to uninstall Java 7 from the control panel.
Crash log if you really want it:
Code: Select all
Using Java from folder "C:\Program Files\Java\jre6".
    Loading msvcr71.dll...
    Loading jvm.dll...
Successfully loaded Java dlls.
Invoking Java VM...
JVM options:
    -Djava.class.path=C:\Program Files\rFactor\Plugins\rfDynHUD\rfdynhud.jar;C:\Program Files\rFactor\Plugins\rfDynHUD\rfdynhud_gamedata_rfactor1.jar;C:\Program Files\rFactor\Plugins\rfDynHUD\editor\rfdynhud_editor.jar
    -Dworkdir=C:\Program Files\rFactor\Plugins\rfDynHUD
    -Xms512m
    -Xmx512m
    -XX:MaxGCPauseMillis=5
    -XX:+UseAdaptiveSizePolicy
    -Xincgc
Successfully invoked Java VM.
Launching RFDynHUD Editor...
Initialized logging system with log level EXHAUSTIVE.
Loading GameEventsPlugins...
    Found plugin "net.ctdp.rfdynhud.plugins.director.DirectorPlugin".
Found and initialized 1 plugin.
INFO: Using PLR file "C:\Program Files\rFactor\UserData\Kyle Puttifer\Kyle Puttifer.PLR"
org.jagatoo.util.errorhandling.ParsingException: Illegal line #79: [PITMENU
   at org.jagatoo.util.ini.AbstractIniParser.tryToParseGroup(AbstractIniParser.java:200)
   at org.jagatoo.util.ini.AbstractIniParser.parseImpl(AbstractIniParser.java:598)
   at org.jagatoo.util.ini.AbstractIniParser.parse(AbstractIniParser.java:735)
   at net.ctdp.rfdynhud.gamedata.VehiclePhysicsParser$VEHParser.onSettingParsed(VehiclePhysicsParser.java:1295)
   at org.jagatoo.util.ini.AbstractIniParser.parseLine(AbstractIniParser.java:523)
   at org.jagatoo.util.ini.AbstractIniParser.parseImpl(AbstractIniParser.java:601)
   at org.jagatoo.util.ini.AbstractIniParser.parse(AbstractIniParser.java:735)
   at net.ctdp.rfdynhud.gamedata.VehiclePhysicsParser.parsePhysicsFiles(VehiclePhysicsParser.java:1523)
   at net.ctdp.rfdynhud.gamedata.VehiclePhysics.loadFromPhysicsFiles(VehiclePhysics.java:2350)
   at net.ctdp.rfdynhud.gamedata.__GDPrivilegedAccess.loadFromPhysicsFiles(__GDPrivilegedAccess.java:74)
   at net.ctdp.rfdynhud.gamedata.GameEventsManager.reloadPhysics(GameEventsManager.java:331)
   at net.ctdp.rfdynhud.gamedata.GameEventsManager.onSessionStarted(GameEventsManager.java:493)
   at net.ctdp.rfdynhud.editor.RFDynHUDEditor.initGameDataObjects(RFDynHUDEditor.java:1640)
   at net.ctdp.rfdynhud.editor.RFDynHUDEditor.<init>(RFDynHUDEditor.java:1728)
   at net.ctdp.rfdynhud.editor.RFDynHUDEditor.main(RFDynHUDEditor.java:1877)
Successfully parsed physics files. (Took 16ms.)
INFO: No upgrades installed.
Used TBC file: C:\Program Files\rFactor\GAMEDATA\VEHICLES\IMT-SERIES2012\2012\TEAMS\F1BR2012_Tires.tbc
Loading custom fonts...
    Loaded and registered custom font "DS-Digital".
    Loaded and registered custom font "DS-Digital Bold".
    Loaded and registered custom font "DS-Digital Italic".
    Loaded and registered custom font "DS-Digital Bold Italic".
    Loaded and registered custom font "wtcc_font Bold Italic".
Loading configuration file from "C:\Program Files\rFactor\Plugins\rfDynHUD\config\overlay.ini"...
Loading configuration file from "C:\Program Files\rFactor\Plugins\rfDynHUD\config\overlay_garage_QUALIFYING.ini"...
RFDynHUD Editor quit.
Destroying Java VM...
WARNING: Registry key for 32 bit Java 6 Runtime Environment not found.
WARNING: Couldn't find 32 bit Java 6 Runtime Environment in the default folder.
PieLighter
Asphaltnuckel
 
Posts: 1
Joined: Wed Oct 24, 2012 6:28 pm


Return to CTDP Modifications & Plugins

Who is online

Users browsing this forum: No registered users and 1 guest

cron